# Galaxy Free Bootstrap 5 Blog Template

Dark blogging template with two columns.

![galaxy](https://demo.themefisher.com/thumbnails/galaxy.png)

👉🏻[View Live Preview](https://demo.themefisher.com/galaxy/)

## [Vvveb CMS](https://www.vvveb.com) theme.

👉🏻 [Theme page](https://themes.vvveb.com/product/galaxy) 
👉🏻 [Theme development documentation](http://dev.vvveb.com/theme-introduction)

Use this template either as a standalone Bootstrap 5 template or as a Vvveb CMS theme.

<!-- download -->
## Download And installation

Download this template from [Github](https://github.com/Vvveb/galaxy/archive/main.zip)

## Build

### Generate html files

```bash
npm run gulp
```

### Watch for changes for development

```bash
npm run gulp watch
```

### Generate sections list for VvvebJs page builder

```bash
npm run gulp sections
```

### Generate screenshots for sections

```bash
npm run gulp screenshots
```


## Quick start

- Clone the repo and run it.
```bash
git clone https://github.com/Vvveb/galaxy/
cd galaxy
npm i
npm run gulp
```


<!-- installation -->
### Basic Usage

After downloading the template, you can simply edit the HTML and CSS files from the `src` folder. To preview the changes you make to the code, you can open the index.html file in your web browser.

### Advanced Usage

For advanced usage, you have some prerequisites to install. Then you can run it on your localhost. You can view the package.json file to see which scripts are included.

#### Install prerequisites (once for a machine)

* **Node Installation:** [Install node js](https://nodejs.org/en/download/)
* **Gulp Installation:** Install gulp globally from your terminal

```
npm install --global gulp-cli
```

Or visit the original [Gulp docs](https://gulpjs.com/docs/en/getting-started/quick-start)

#### Local setup

After successfully installing those dependencies, open this theme with any IDE [[VS Code](https://code.visualstudio.com/) recommended], and then open the internal terminal of IDM [vs code shortcut <code>ctrl/cmd+\`</code>]

<!-- reporting issue -->
## Reporting Issues

We use GitHub Issues as the official bug tracker for the galaxy Template. Please Search [existing issues](https://github.com/Vvveb/galaxy/issues). It’s possible someone has already reported the same problem.
If your problem or idea has not been addressed yet, feel free to [open a new issue](https://github.com/Vvveb/galaxy/issues).

<!-- support -->
## Technical Support or Questions (Paid)

If you have questions or need help integrating the product please [contact us](mailto:mehedi@themefisher.com) instead of opening an issue.

<!-- licence -->
## License

Copyright (c) 2016 - Present, Designed & Developed by [Themefisher](https://themefisher.com)

**Code License:** Released under the [MIT](https://github.com/Vvveb/galaxy/blob/main/LICENSE) license.

**Image license:** The images are only for demonstration purposes. They have their license, we don't have permission to share those images.

**Vvveb CMS integration** Changes released under the MIT license.
